<!--
Author:         Jakub Schon
Company:        Husky Energy
History:        jschn 2019-08-20 - Created.
 -->
<!-- HOG Lookup -->
<!--suppress HtmlUnknownTag -->
<template>

<!--	search input-->
	<c-hog_lookup-input
			if:true={inputMode}
			label={label}
			placeholder={placeholder}
			is-required={isRequired}
			selected-record={selectedRecord}
			object-a-p-i-name={objectAPIName}
			field-a-p-i-name={fieldAPIName}
			onselection={handleRecordSelection}
			with-sharing={withSharing}>
	</c-hog_lookup-input>

<!--	disabled || readonly mode-->
	<lightning-input
			if:true={readOnlyMode}
			name={label}
			label={label}
			type="search"
			value={selectedText}
			required={isRequired}
			readonly={isReadOnly}
			disabled={isDisabled}>
	</lightning-input>

<!--	selected mode-->
	<c-hog_lookup-pill
			if:true={selectedMode}
			is-required={isRequired}
			label={label}
			selected-text={selectedText}
			onclearselection={resetComponent}
			render-icon={renderIcon}
			icon-name={iconName}>
	</c-hog_lookup-pill>

</template>